..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

======
layers
======

control_flow
============

split_lod_tensor
----------------

..  autofunction:: paddle.fluid.layers.split_lod_tensor
    :noindex:

merge_lod_tensor
----------------

..  autofunction:: paddle.fluid.layers.merge_lod_tensor
    :noindex:

BlockGuard
----------

..  autoclass:: paddle.fluid.layers.BlockGuard
    :members:
    :noindex:

BlockGuardWithCompletion
------------------------

..  autoclass:: paddle.fluid.layers.BlockGuardWithCompletion
    :members:
    :noindex:

StaticRNNMemoryLink
-------------------

..  autoclass:: paddle.fluid.layers.StaticRNNMemoryLink
    :members:
    :noindex:

WhileGuard
----------

..  autoclass:: paddle.fluid.layers.WhileGuard
    :members:
    :noindex:

While
-----

..  autoclass:: paddle.fluid.layers.While
    :members:
    :noindex:

lod_rank_table
--------------

..  autofunction:: paddle.fluid.layers.lod_rank_table
    :noindex:

max_sequence_len
----------------

..  autofunction:: paddle.fluid.layers.max_sequence_len
    :noindex:

topk
----

..  autofunction:: paddle.fluid.layers.topk
    :noindex:

lod_tensor_to_array
-------------------

..  autofunction:: paddle.fluid.layers.lod_tensor_to_array
    :noindex:

array_to_lod_tensor
-------------------

..  autofunction:: paddle.fluid.layers.array_to_lod_tensor
    :noindex:

increment
---------

..  autofunction:: paddle.fluid.layers.increment
    :noindex:

array_write
-----------

..  autofunction:: paddle.fluid.layers.array_write
    :noindex:

create_array
------------

..  autofunction:: paddle.fluid.layers.create_array
    :noindex:

less_than
---------

..  autofunction:: paddle.fluid.layers.less_than
    :noindex:

array_read
----------

..  autofunction:: paddle.fluid.layers.array_read
    :noindex:

shrink_memory
-------------

..  autofunction:: paddle.fluid.layers.shrink_memory
    :noindex:

array_length
------------

..  autofunction:: paddle.fluid.layers.array_length
    :noindex:

IfElse
------

..  autoclass:: paddle.fluid.layers.IfElse
    :members:
    :noindex:

DynamicRNN
----------

..  autoclass:: paddle.fluid.layers.DynamicRNN
    :members:
    :noindex:

ConditionalBlock
----------------

..  autoclass:: paddle.fluid.layers.ConditionalBlock
    :members:
    :noindex:

StaticRNN
---------

..  autoclass:: paddle.fluid.layers.StaticRNN
    :members:
    :noindex:

reorder_lod_tensor_by_rank
--------------------------

..  autofunction:: paddle.fluid.layers.reorder_lod_tensor_by_rank
    :noindex:

ParallelDo
----------

..  autoclass:: paddle.fluid.layers.ParallelDo
    :members:
    :noindex:

Print
-----

..  autofunction:: paddle.fluid.layers.Print
    :noindex:

device
======

get_places
----------

..  autofunction:: paddle.fluid.layers.get_places
    :noindex:

io
==

data
----

..  autofunction:: paddle.fluid.layers.data
    :noindex:

BlockGuardServ
--------------

..  autoclass:: paddle.fluid.layers.BlockGuardServ
    :members:
    :noindex:

ListenAndServ
-------------

..  autoclass:: paddle.fluid.layers.ListenAndServ
    :members:
    :noindex:

Send
----

..  autofunction:: paddle.fluid.layers.Send
    :noindex:

nn
==

fc
--

..  autofunction:: paddle.fluid.layers.fc
    :noindex:

embedding
---------

..  autofunction:: paddle.fluid.layers.embedding
    :noindex:

dynamic_lstm
------------

..  autofunction:: paddle.fluid.layers.dynamic_lstm
    :noindex:

dynamic_lstmp
-------------

..  autofunction:: paddle.fluid.layers.dynamic_lstmp
    :noindex:

dynamic_gru
-----------

..  autofunction:: paddle.fluid.layers.dynamic_gru
    :noindex:

gru_unit
--------

..  autofunction:: paddle.fluid.layers.gru_unit
    :noindex:

linear_chain_crf
----------------

..  autofunction:: paddle.fluid.layers.linear_chain_crf
    :noindex:

crf_decoding
------------

..  autofunction:: paddle.fluid.layers.crf_decoding
    :noindex:

cos_sim
-------

..  autofunction:: paddle.fluid.layers.cos_sim
    :noindex:

cross_entropy
-------------

..  autofunction:: paddle.fluid.layers.cross_entropy
    :noindex:

square_error_cost
-----------------

..  autofunction:: paddle.fluid.layers.square_error_cost
    :noindex:

accuracy
--------

..  autofunction:: paddle.fluid.layers.accuracy
    :noindex:

chunk_eval
----------

..  autofunction:: paddle.fluid.layers.chunk_eval
    :noindex:

sequence_conv
-------------

..  autofunction:: paddle.fluid.layers.sequence_conv
    :noindex:

conv2d
------

..  autofunction:: paddle.fluid.layers.conv2d
    :noindex:

sequence_pool
-------------

..  autofunction:: paddle.fluid.layers.sequence_pool
    :noindex:

pool2d
------

..  autofunction:: paddle.fluid.layers.pool2d
    :noindex:

batch_norm
----------

..  autofunction:: paddle.fluid.layers.batch_norm
    :noindex:

layer_norm
----------

..  autofunction:: paddle.fluid.layers.layer_norm
    :noindex:

beam_search_decode
------------------

..  autofunction:: paddle.fluid.layers.beam_search_decode
    :noindex:

conv2d_transpose
----------------

..  autofunction:: paddle.fluid.layers.conv2d_transpose
    :noindex:

sequence_expand
---------------

..  autofunction:: paddle.fluid.layers.sequence_expand
    :noindex:

lstm_unit
---------

..  autofunction:: paddle.fluid.layers.lstm_unit
    :noindex:

reduce_sum
----------

..  autofunction:: paddle.fluid.layers.reduce_sum
    :noindex:

reduce_mean
-----------

..  autofunction:: paddle.fluid.layers.reduce_mean
    :noindex:

reduce_max
----------

..  autofunction:: paddle.fluid.layers.reduce_max
    :noindex:

reduce_min
----------

..  autofunction:: paddle.fluid.layers.reduce_min
    :noindex:

sequence_first_step
-------------------

..  autofunction:: paddle.fluid.layers.sequence_first_step
    :noindex:

sequence_last_step
------------------

..  autofunction:: paddle.fluid.layers.sequence_last_step
    :noindex:

dropout
-------

..  autofunction:: paddle.fluid.layers.dropout
    :noindex:

split
-----

..  autofunction:: paddle.fluid.layers.split
    :noindex:

ctc_greedy_decoder
------------------

..  autofunction:: paddle.fluid.layers.ctc_greedy_decoder
    :noindex:

edit_distance
-------------

..  autofunction:: paddle.fluid.layers.edit_distance
    :noindex:

l2_normalize
------------

..  autofunction:: paddle.fluid.layers.l2_normalize
    :noindex:

matmul
------

..  autofunction:: paddle.fluid.layers.matmul
    :noindex:

warpctc
-------

..  autofunction:: paddle.fluid.layers.warpctc
    :noindex:

sequence_reshape
----------------

..  autofunction:: paddle.fluid.layers.sequence_reshape
    :noindex:

transpose
---------

..  autofunction:: paddle.fluid.layers.transpose
    :noindex:

im2sequence
-----------

..  autofunction:: paddle.fluid.layers.im2sequence
    :noindex:

nce
---

..  autofunction:: paddle.fluid.layers.nce
    :noindex:

beam_search
-----------

..  autofunction:: paddle.fluid.layers.beam_search
    :noindex:

row_conv
--------

..  autofunction:: paddle.fluid.layers.row_conv
    :noindex:

multiplex
---------

..  autofunction:: paddle.fluid.layers.multiplex
    :noindex:

ops
===

mean
----

..  autofunction:: paddle.fluid.layers.mean
    :noindex:

mul
---

..  autofunction:: paddle.fluid.layers.mul
    :noindex:

reshape
-------

..  autofunction:: paddle.fluid.layers.reshape
    :noindex:

scale
-----

..  autofunction:: paddle.fluid.layers.scale
    :noindex:

sigmoid_cross_entropy_with_logits
---------------------------------

..  autofunction:: paddle.fluid.layers.sigmoid_cross_entropy_with_logits
    :noindex:

elementwise_add
---------------

..  autofunction:: paddle.fluid.layers.elementwise_add
    :noindex:

elementwise_div
---------------

..  autofunction:: paddle.fluid.layers.elementwise_div
    :noindex:

elementwise_sub
---------------

..  autofunction:: paddle.fluid.layers.elementwise_sub
    :noindex:

elementwise_mul
---------------

..  autofunction:: paddle.fluid.layers.elementwise_mul
    :noindex:

elementwise_max
---------------

..  autofunction:: paddle.fluid.layers.elementwise_max
    :noindex:

elementwise_min
---------------

..  autofunction:: paddle.fluid.layers.elementwise_min
    :noindex:

elementwise_pow
---------------

..  autofunction:: paddle.fluid.layers.elementwise_pow
    :noindex:

clip
----

..  autofunction:: paddle.fluid.layers.clip
    :noindex:

clip_by_norm
------------

..  autofunction:: paddle.fluid.layers.clip_by_norm
    :noindex:

sequence_softmax
----------------

..  autofunction:: paddle.fluid.layers.sequence_softmax
    :noindex:

sigmoid
-------

..  autofunction:: paddle.fluid.layers.sigmoid
    :noindex:

logsigmoid
----------

..  autofunction:: paddle.fluid.layers.logsigmoid
    :noindex:

exp
---

..  autofunction:: paddle.fluid.layers.exp
    :noindex:

relu
----

..  autofunction:: paddle.fluid.layers.relu
    :noindex:

tanh
----

..  autofunction:: paddle.fluid.layers.tanh
    :noindex:

tanh_shrink
-----------

..  autofunction:: paddle.fluid.layers.tanh_shrink
    :noindex:

softshrink
----------

..  autofunction:: paddle.fluid.layers.softshrink
    :noindex:

sqrt
----

..  autofunction:: paddle.fluid.layers.sqrt
    :noindex:

abs
---

..  autofunction:: paddle.fluid.layers.abs
    :noindex:

ceil
----

..  autofunction:: paddle.fluid.layers.ceil
    :noindex:

floor
-----

..  autofunction:: paddle.fluid.layers.floor
    :noindex:

round
-----

..  autofunction:: paddle.fluid.layers.round
    :noindex:

reciprocal
----------

..  autofunction:: paddle.fluid.layers.reciprocal
    :noindex:

log
---

..  autofunction:: paddle.fluid.layers.log
    :noindex:

square
------

..  autofunction:: paddle.fluid.layers.square
    :noindex:

softplus
--------

..  autofunction:: paddle.fluid.layers.softplus
    :noindex:

softsign
--------

..  autofunction:: paddle.fluid.layers.softsign
    :noindex:

brelu
-----

..  autofunction:: paddle.fluid.layers.brelu
    :noindex:

leaky_relu
----------

..  autofunction:: paddle.fluid.layers.leaky_relu
    :noindex:

soft_relu
---------

..  autofunction:: paddle.fluid.layers.soft_relu
    :noindex:

elu
---

..  autofunction:: paddle.fluid.layers.elu
    :noindex:

relu6
-----

..  autofunction:: paddle.fluid.layers.relu6
    :noindex:

pow
---

..  autofunction:: paddle.fluid.layers.pow
    :noindex:

stanh
-----

..  autofunction:: paddle.fluid.layers.stanh
    :noindex:

hard_shrink
-----------

..  autofunction:: paddle.fluid.layers.hard_shrink
    :noindex:

thresholded_relu
----------------

..  autofunction:: paddle.fluid.layers.thresholded_relu
    :noindex:

hard_sigmoid
------------

..  autofunction:: paddle.fluid.layers.hard_sigmoid
    :noindex:

swish
-----

..  autofunction:: paddle.fluid.layers.swish
    :noindex:

tensor
======

create_tensor
-------------

..  autofunction:: paddle.fluid.layers.create_tensor
    :noindex:

create_parameter
----------------

..  autofunction:: paddle.fluid.layers.create_parameter
    :noindex:

create_global_var
-----------------

..  autofunction:: paddle.fluid.layers.create_global_var
    :noindex:

cast
----

..  autofunction:: paddle.fluid.layers.cast
    :noindex:

concat
------

..  autofunction:: paddle.fluid.layers.concat
    :noindex:

sums
----

..  autofunction:: paddle.fluid.layers.sums
    :noindex:

assign
------

..  autofunction:: paddle.fluid.layers.assign
    :noindex:

fill_constant_batch_size_like
-----------------------------

..  autofunction:: paddle.fluid.layers.fill_constant_batch_size_like
    :noindex:

fill_constant
-------------

..  autofunction:: paddle.fluid.layers.fill_constant
    :noindex:

ones
----

..  autofunction:: paddle.fluid.layers.ones
    :noindex:

zeros
-----

..  autofunction:: paddle.fluid.layers.zeros
    :noindex:

